Name:           kimchi
Version:        1.4.1
Release:        1%{?dist}
Summary:        An HTML5-based KVM graphical interface
BuildArch:      noarch
# The backend is LGPLv3 and LGPLv2+, the UI is ASL 2.0
# ui/spice-html5/thirdparty/sha1.js is BSD, not packaged, only in source rpm
# jquery libs are MIT; will be removed when Fedora supplies them
License:        LGPLv3 and ASL 2.0 and BSD and MIT and LGPLv2+
URL:            http://kimchi-project.github.io/kimchi/
Source0:        https://github.com/kimchi-project/%{name}/archive/%{version}.tar.gz

# Fixes a compilation issue related to Fedora and gettext
Patch0:         kimchi-1.2.1-gettext.patch

Requires:   qemu-kvm
Requires:   gettext-devel
Requires:   libvirt
Requires:   libvirt-python
Requires:   python-cherrypy >= 3.2.0
Requires:   python-cheetah
Requires:   python-websockify
Requires:   novnc
Requires:   m2crypto
Requires:   python-imaging
Requires:   PyPAM
Requires:   pyparted
Requires:   python-psutil >= 0.6.0
Requires:   python-jsonschema >= 1.3.0
Requires:   python-ethtool
Requires:   sos
Requires:   python-ipaddr
Requires:   python-lxml
Requires:   nfs-utils
Requires:   nginx
Requires:   iscsi-initiator-utils
Requires:   python-ldap
Requires:   python-libguestfs
Requires:   libguestfs-tools
Requires:   spice-html5

BuildRequires: systemd-units
BuildRequires: libxslt
BuildRequires: python-lxml
BuildRequires: autoconf, automake
BuildRequires: gettext-devel
BuildRequires: python2-devel

Provides: bundled(jquery-ui) = 1.10.3
Provides: bundled(jquery) = 1.10.0


%description
Web server application to manage KVM/Qemu virtual machines

%prep
%setup -q
%patch0


%build
autoreconf -vfi
%configure
make %{?_smp_mflags}


%install
%make_install

# Install the systemd script
install -Dm 0644 contrib/kimchid.service.fedora %{buildroot}%{_unitdir}/kimchid.service
# Install the firewalld script
install -Dm 0640 src/firewalld.xml %{buildroot}%{_prefix}/lib/firewalld/services/kimchid.xml

## Remove sample.mo files as they are not important
rm -f %{buildroot}/%{_datadir}/locale/*/LC_MESSAGES/sample.mo

%find_lang %{name}

%files -f %{name}.lang
%doc docs/README.md
%{_bindir}/kimchid
%{python_sitelib}/kimchi/
%{_datadir}/kimchi/
%{_sysconfdir}/kimchi/
%{_unitdir}/kimchid.service
%{_prefix}/lib/firewalld/services/kimchid.xml
%{_mandir}/man8/kimchid.8.gz
%license COPYING*



%changelog
* Mon Mar 30 2015 Brent Baude <bbaude@redhat.com> - 1.4.1-1
- New version released upstream

* Fri Feb 27 2015 Brent Baude <bbaude@redhat.com> - 1.4.0-2
- Updated spec and release

* Tue Jul 29 2014 Brent Baude <baude@redhat.com> - 1.4.0-1
- Introduction of the kimchi package
